cascading.flow.planner.rule.transformer

## Class RuleContractedTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleContractedTransformer

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  ApplyAssertionLevelTransformer, ApplyDebugLevelTransformer, RemoveNoOpPipeTransformer

    public class RuleContractedTransformer
    extends RuleTransformer

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

`contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

### Constructor Summary

Constructors
Constructor and Description
`RuleContractedTransformer(PlanPhase phase, RuleExpression ruleExpression)`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

`getRuleName, getRulePhase, performTransform, toString, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuleContractedTransformer

    public RuleContractedTransformer(PlanPhase phase,
                             RuleExpression ruleExpression)